### Enumeration

# GdkPixdata PixdataType

deprecated: 2.32

#### Declaration

    flags GdkPixdata.PixdataType

#### Description [src]

An enumeration containing three sets of flags for a `GdkPixdata` struct: one for the used colorspace, one for the width of the samples and one for the encoding of the pixel data.

Deprecated since: 2.32

Please do not use it in newly written code.

#### Members

`GDK_PIXDATA_COLOR_TYPE_RGB`

  Each pixel has red, green and blue samples.

  - Value: `1`
  - Available since: 2.0
`GDK_PIXDATA_COLOR_TYPE_RGBA`

  Each pixel has red, green and blue samples and an alpha value.

  - Value: `2`
  - Available since: 2.0
`GDK_PIXDATA_COLOR_TYPE_MASK`

  Mask for the colortype flags of the enum.

  - Value: `255`
  - Available since: 2.0
`GDK_PIXDATA_SAMPLE_WIDTH_8`

  Each sample has 8 bits.

  - Value: `65536`
  - Available since: 2.0
`GDK_PIXDATA_SAMPLE_WIDTH_MASK`

  Mask for the sample width flags of the enum.

  - Value: `983040`
  - Available since: 2.0
`GDK_PIXDATA_ENCODING_RAW`

  The pixel data is in raw form.

  - Value: `16777216`
  - Available since: 2.0
`GDK_PIXDATA_ENCODING_RLE`

  The pixel data is run-length encoded. Runs may be up to 127 bytes long; their length is stored in a single byte preceding the pixel data for the run. If a run is constant, its length byte has the high bit set and the pixel data consists of a single pixel which must be repeated.

  - Value: `33554432`
  - Available since: 2.0
`GDK_PIXDATA_ENCODING_MASK`

  Mask for the encoding flags of the enum.

  - Value: `251658240`
  - Available since: 2.0